Subject: Re: bug#22522: Commit b88e9cded7ae3756e3a2ec4a23e8df352a0239f9 breaks emacs dumping for me

From: Ken Brown <[email-masked]>
Date: Mon, 1 Feb 2016 21:59:45 -0500

On 2/1/2016 5:27 PM, Andy Moreton wrote:
> On Mon 01 Feb 2016, Elric Milon wrote:
>
>> Trying to build current master failed while dumping emacs, so I ran a
>> git bisect with the following script to find the culprit:
>
> [build script and bisect results snipped]
>
> I see a similar problem with the 64bit cygwin w32 build:

I see the following warnings during the build:

../../master/src/alloc.c: In function ‘lisp_align_malloc’:
../../master/src/alloc.c:1247:7: warning: implicit declaration of 
function ‘hybrid_aligned_alloc’ [-Wimplicit-function-declaration]
        abase = base = aligned_alloc (BLOCK_ALIGN, ABLOCKS_BYTES);
        ^
../../master/src/alloc.c:1247:20: warning: assignment makes pointer from 
integer without a cast
        abase = base = aligned_alloc (BLOCK_ALIGN, ABLOCKS_BYTES);
                     ^

This could be the reason for the build problem on (some) 64-bit 
platforms, but I don't have time to look into it further tonight.

Ken